<div class="row">
    <div class="col-md-12">
        <button data-toggle="modal" data-target="#addNewUnitline" (click)="createUnitLinesForm()" type="button"
        class="btn btn-sm btn-custom mb-3" data-backdrop="static" data-keyboard="false">Add New Unit Lines</button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Line</th>
                        <th *ngIf="userRole == 'Admin'">Company</th>
                        <th>Unit</th>
                        <th>Section</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let line of unitlines| paginate: { itemsPerPage: 10, currentPage: p }">
                        <td><a [routerLink]="">{{line.line}}</a></td>
                        <td *ngIf="userRole == 'Admin'">{{line.company}}</td>
                        <td>{{line.unit_name}}</td>
                        <td>{{line.dept_name}}</td>
                        <td>
                            <span><a [routerLink]="" data-toggle="modal" data-target="#addNewUnitline"
                                    (click)="editUnitlines(line)"><i class="fa fa-edit mr-2"
                                        aria-hidden="true"></i></a></span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="unitline!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>


<!-----------Add New Company Form Modal------------------------>
<div id="addNewUnitline" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Add New Unit Lines</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditUnitline()" [formGroup]="UnitLinesForm">
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3 mb-sm-0">
                            <label>Line Name:</label>
                            <input formControlName="line" type="text" class="form-control form-control-user" id="line">
                            <div *ngIf="submitted && formControls.line.errors" class="errors">
                                <div *ngIf="formControls.line.errors.required">line name is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3 mb-sm-0">
                            <label>Department:</label>
                            <select formControlName="dept_id" class="form-control dropdown" id="dept_id">
                                <option *ngFor="let dept of departments" [value]="dept.dept_id">{{dept.dept_name}}
                                </option>
                            </select>
                            <div *ngIf="submitted && formControls.dept_id.errors" class="errors">
                                <div *ngIf="formControls.dept_id.errors.required">Department is required</div>
                            </div>
                        </div>
                    </div>

                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>
</div>